<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <head>
        <title>Cadastro Cinema</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>
    <body>
        <ui:composition template="../WEB-INF/template/template.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Cadastro de Cinema">
                    <p:panelGrid columns="2" id="painelCinema">
                        <f:facet name="header">
                            Dados do Cinema
                        </f:facet>
                        <p:outputLabel value="Codigo Do Cinema:" for="codigoCinema" />
                        <p:inputText id="codigoCinema"  style="width: 40px" readonly="true" value="#{cinemaBean.codigo}" />
                        <p:outputLabel value="Nome Do Cimema:" for="nomeCinema" />
                        <h:panelGroup >
                            <p:inputText id="nomeCinema" required="true" requiredMessage="Campo nome é obrigatorio!" value="#{cinemaBean.cinema.nome}" />
                            <p:message for="nomeCinema" />
                        </h:panelGroup>
                        <p:outputLabel value="CNPJ:" for="cnpj" />
                        <h:panelGroup >
                            <p:inputText id="cnpj" required="true" requiredMessage="Campo cnpj é obrigatorio!" value="#{cinemaBean.cinema.cnpj}" />
                            <p:message for="cnpj" />
                        </h:panelGroup >
                        
                         <p:outputLabel value="endereco" for="endereco" />
                        <h:panelGroup >
                            <p:inputText id="endereco" required="true" requiredMessage="Campo cnpj é obrigatorio!" value="#{enderecoBean.endereco.setId(id)}" />
                            <p:message for="endereco" />
                        </h:panelGroup >
                         <f:facet name="footer">
                             <p:commandButton value="Salvar" icon="fa fa-plus" action="#{cinemaBean.salvar}" update="painelCinema" />
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil" action="#{cinemaBean.novo}" immediate="true" update="painelCinema" resetValues="true"/>
                        </f:facet>
                        <h:inputHidden value="#{cinemaBean.cinema.id}" />
                    </p:panelGrid>
                </p:fieldset> 
            </ui:define>
        </ui:composition>
    </body>
</html>
